WP5Part Class Referenceabstract

`#include <WP5Part.h>`

Inheritance diagram for WP5Part:

## Public Member Functions

virtual | ~WP5Part ()
virtual void | parse (WP5Listener *listener)=0

## Static Public Member Functions

static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ~WP5Part()

virtual WP5Part::~WP5Part | ( |  | ) |

inline virtual

## Member Function Documentation

## constructPart()

WP5Part * WP5Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | readVal )

static

Referenced by WP5Parser::parseDocument().

## parse()

virtual void WP5Part::parse | ( | WP5Listener * | listener | ) |

pure virtual

Implemented in WP5AttributeGroup, WP5AttributeOffGroup, WP5AttributeOnGroup, WP5BoxGroup, WP5DefinitionGroup, WP5EOLFunction, WP5ExtendedCharacterGroup, WP5FontGroup, WP5FootnoteEndnoteGroup, WP5HardSpaceFunction, WP5HeaderFooterGroup, WP5HyphenFunction, WP5IndentGroup, WP5PageFormatGroup, WP5SoftHyphenFunction, WP5SpaceFunction, WP5TabGroup, WP5TableEOLGroup, WP5TableEOPGroup, WP5UnsupportedFixedLengthGroup, and WP5UnsupportedVariableLengthGroup.

The documentation for this class was generated from the following files:

- WP5Part.h
- WP5Part.cpp